### Function

# Gimp brushes_set_popup

#### Declaration [src]

    gboolean
    gimp_brushes_set_popup (
      const gchar* brush_callback,
      const gchar* brush_name,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode
    )

#### Description [src]

Sets the current brush in a brush selection dialog.

Sets the current brush in a brush selection dialog.

#### Parameters

`brush_callback`

  Type: `const gchar*`

  The name of the callback registered for this pop-up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`brush_name`

  Type: `const gchar*`

  The name of the brush to set as selected.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`opacity`

  Type: `gdouble`

  The initial opacity of the brush.

`spacing`

  Type: `gint`

  The initial spacing of the brush (if < 0 then use brush default spacing).

`paint_mode`

  Type: `GimpLayerMode`

  The initial paint mode.

#### Return value

Type: `gboolean`

TRUE on success.